package com.jiayue.insu.inclientqn.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * 用户信息
 *
 * @author yh
 * @version 1.0
 * @since 2022/5/25 16:22
 */
@TableName(value = "in_user")
@Data
public class User implements Serializable {
    /**
     * Id
     */
    @TableId(type = IdType.AUTO)
    Long id;

    String username;

    String password;

    Integer age;

    String email;

    @Override
    public String toString() {
        return "User{" +
                "id=" + id +
                ", name='" + username + '\'' +
                ", pwd='" + password + '\'' +
                ", age=" + age +
                ", email='" + email + '\'' +
                '}';
    }
}
