package com.jiayue.insu.incloud.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * Quartz 定时任务初始化信息
 *
 * @author yh
 * @version 1.0
 * @since 2018/12/7 16:22
 */
@TableName(value = "in_quartz_base")
@Data
public class QuartzBase extends BaseEntity{

    @TableId(type = IdType.AUTO)
    private Integer id;
    /*任务名称*/
    private String name;
    /*执行类*/
    private String executeClass;
    /*排序*/
    private Integer sor;
    /*任务描述*/
    private String description;
    /*所属一体化公司*/
    private String inCode;
    /*任务标识*/
    private String code;
    /*任务类型*/
    private String type;


}
