package com.jiayue.insu.inclientqn.job;

import com.jiayue.insu.inclientqn.service.BackDataAnalysisService;
import org.quartz.Job;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @description:  回传数据文件解析定时任务
 * @author: yuanhao
 * @createDate: 2022/6/17
 * @version: 1.0
 */
public class BackDataAnalysisJob implements Job {


    @Autowired
    private BackDataAnalysisService backDataAnalysisService;

    @Override
    public void execute(JobExecutionContext jobExecutionContext) throws JobExecutionException {
        backDataAnalysisService.fileAnalysis();
    }
}
