package com.jiayue.insu.incloud.constants.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;


/**
 * 一体化响应VO
 *
 * @author yh
 * @version 1.0
 * @since 2022/5/22 11:29
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class ResponseVo {

    /**
     * 响应码
     */
    private String retCode;
    /**
     * 响应信息
     */
    private String retMsg;

    /**
     * 响应数据
     */
    private String data;
}
